Bug 601921 - Tomcat Plugin Vhost Create New WAR fails with empty Package Type drop down
Summary: Tomcat Plugin Vhost Create New WAR fails with empty Package Type drop down
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI   
(Show other bugs)
Version: 1.4
Hardware: All
OS: All
urgent
urgent vote
Target Milestone: ---
: ---
Assignee: Ian Springer
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon-sprint11-bugs
TreeView+ depends on / blocked
 
Reported: 2010-06-08 21:07 UTC by Jay Shaughnessy
Modified: 2013-08-06 00:37 UTC (History)
2 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:54:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 601328 None None None Never

Internal Trackers: 601328

Description Jay Shaughnessy 2010-06-08 21:07:31 UTC
It's not possible to Create New WAR for a Tomcat VHost as the Type drop down offers no entries for the required field.

Comment 1 Charles Crouch 2010-06-08 22:25:17 UTC
(4:20:01 PM) ccrouch: does that mean you cant deploy apps to EWS?
(4:20:21 PM) jshaughn: uhm, yes, not through the gui

Comment 2 Ian Springer 2010-06-08 22:34:01 UTC
This is a side effect of https://bugzilla.redhat.com/show_bug.cgi?id=601328. Basically, we should not be prompting for package type or architecture in the first place on the create-new child resource page, since these are both known in advance - "WAR File" and "noarch" respectively (well, I guess we would not necessarily know the architecture in advance for an RPM package resourcetype, so we might need to keep the architecture input to keep it generic). 

As for a workaround , I suppose we could add a bogus package type to the VHost resource type in tomcat plugin's descriptor, but this would be pretty ugly. The better way to go would be to fix 601328 and get rid of the Package Type input altogether.

Comment 3 Ian Springer 2010-06-09 16:13:53 UTC
This is fixed by commit 63ed10cb156bc2a369b068677db8d313906825bb and has been
pushed to master. The page no longer asks for Package Type, since the Package Type is already known (e.g. EAR File or WAR File), and it only prompts for Architecture if the package type supports architecture (so for EARs and WARs, it does not prompt for Architecture). It always asks for Version, which is a required field.    

The same commit also fixes the Content>New>Upload New page, which is used for updating the backing file for an existing EAR or WAR Resource. In the case where the Resource is package-backed, that page prompts for only the Version field and the Architecture field (if appropriate). In the case where the Resource is not package-backed, it also prompts for Package Name and Package Type.

Comment 4 Ian Springer 2010-06-09 17:17:03 UTC
commit 8f86f29ad2a90dab4854f06d39cf794acabdac10 (pushed to master) fixes a couple minor issues with the previous commit that Jay noticed. This is now ready for QA.

Comment 5 Corey Welton 2010-06-10 13:45:56 UTC
QA Verified -- able to upload a war to tomcat;  also able to use the Content > New > Upload functionality as well.

Comment 6 Corey Welton 2010-08-12 16:54:48 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.